FTGatePro Mail Server Multiple Command Remote Overflow

This script is Copyright (C) 2003-2014 Tenable Network Security, Inc.

Synopsis :

The remote service is vulnerable to a denial of service.

Description :

The remote SMTP server is running FT Gate Pro.

There is a remote stack-based buffer overflow vulnerability in this
version. This issue can be exploited by supplying a very long
argument to the 'MAIL FROM' and 'RCPT TO' SMTP commands.

A remote attacker could use this to crash the SMTP server, or
possibly execute arbitrary code.

See also :


Solution :

Upgrade to FTgate Pro Mail Server v. 1.22 Hotfix 1330 or later.

Risk factor :

Medium / CVSS Base Score : 5.0
CVSS Temporal Score : 4.8
Public Exploit Available : true

Family: SMTP problems

Nessus Plugin ID: 11579 (ftgate_pro_dos.nasl)

Bugtraq ID: 7506

CVE ID: CVE-2003-0263